Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xalan.processor
Class XSLTSchema

    java.lang.Object
      |
      +--weblogic.apache.xalan.processor.XSLTElementDef
            |
            +--weblogic.apache.xalan.processor.XSLTSchema

public class XSLTSchema
extends XSLTElementDef

This class defines the allowed structure for a stylesheet, and the mapping between Xalan classes and the markup elements in the stylesheet.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

See Also:
  XSLT DTD

Method Summary
`boolean` | `elementAvailable(QName elemName)` Determines whether the passed element name is present in the list of available elements.
`java.util.Hashtable` | `getElemsAvailable()` Get the table of available elements.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getElemsAvailable

    public java.util.Hashtable getElemsAvailable()

  Get the table of available elements.

  Returns:
    table of available elements, keyed by qualified names, and with values of the same qualified names.

### elementAvailable

    public boolean elementAvailable(QName elemName)

  Determines whether the passed element name is present in the list of available elements.

  Parameters:
    `elemName` - The name of the element to look up.
  Returns:
    true if an element corresponding to elemName is available.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference